List the provider catalog - Barndoor Documentation

List the provider catalog

cURL

curl --request GET \
  --url https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://app.barndoor.ai/api/llm-gateway/admin/provider-catalog")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Successful Response

200

[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "openai",
    "name": "OpenAI",
    "model_provider": "openai",
    "default_base_url": "<string>",
    "description": "<string>",
    "icon_url": "<string>",
    "docs_url": "<string>",
    "default_models": [
      "<string>"
    ],
    "wire_protocol": "openai",
    "auth_type": "api_key",
    "capabilities": {},
    "settings_schema": {},
    "credential_schema": {},
    "enabled": true,
    "sort_order": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization

Response

Status: 200 - application/json

List of catalog entries: